All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.collection
Interface Sortable

All Known Subinterfaces:
  AssociationListInterface, OrderedCollectionInterface, SelectionGroupInterface, StringCollectionInterface

All Known Implementing Classes:
  AssociationList, ColorList, ColorNameList, DefaultColorList, DefaultFontFamilyList, DefaultFontList, FontList, KeyCollection, OrderedCollection, OrderedListCollection, RGBList, SelectionGroup, StringCollection

    public interface Sortable

Sortable defines an interface for collections or other objects which may be sorted based on some comparison. The comparison is defined by an external object which implements the com.sas.util.Comparator interface for comparing two objects from the collection.

This interface only applies to objects which have integer-indexed values.

See Also:
  `StringComparator`, `Comparator`, `Sort`

Method Summary
`abstract void` | `sort(com.sas.util.Comparator comparator)` Sorts the items from the current collection using the provided comparison function.
`abstract void` | `sort(com.sas.util.Comparator comparator, int start, int end)` Sorts a range of items from the current collection using the provided comparison function.

Method Detail

### sort

    void sort(com.sas.util.Comparator comparator,
              int start,
              int end)

  Sorts a range of items from the current collection using the provided comparison function. The sort is performed in place.

  Parameters:
    `comparator` - an object which compares two items from the Sortable collection.
    `start` - The index of the first item in the range to sort
    `end` - sort the items between start and (end-1)

### sort

    void sort(com.sas.util.Comparator comparator)

  Sorts the items from the current collection using the provided comparison function. The sort is performed in place.

  Parameters:
    `comparator` - an object which compares two items from the Sortable collection.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.